Skip to main content
GET
/
api
/
v0
/
repositories
/
{repo_id}
/
finding-views
List the user's finding views.
curl --request GET \
  --url https://api.example.com/api/v0/repositories/{repo_id}/finding-views
{
  "views": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "personal": true,
      "name": "<string>",
      "filter": "<string>",
      "lastUpdatedBy": {
        "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "username": "<string>",
        "avatar": "<string>",
        "isBot": true,
        "createdAt": "2023-11-07T05:31:56Z",
        "teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "pingsLeft": 123,
        "reputation": 123,
        "disabledAt": "2023-11-07T05:31:56Z",
        "deletedFromRepoAt": "2023-11-07T05:31:56Z"
      },
      "lastUpdatedAt": "2023-11-07T05:31:56Z",
      "createdBy": {
        "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "username": "<string>",
        "avatar": "<string>",
        "isBot": true,
        "createdAt": "2023-11-07T05:31:56Z",
        "teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "pingsLeft": 123,
        "reputation": 123,
        "disabledAt": "2023-11-07T05:31:56Z",
        "deletedFromRepoAt": "2023-11-07T05:31:56Z"
      },
      "createdAt": "2023-11-07T05:31:56Z",
      "description": "<string>",
      "columns": []
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.cantina.xyz/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

repo_id
string<uuid>
required

Response

Finding views

views
object[]
required